Bug 443850 - Review Request: pywebkitgtk - Python Bindings for WebKit-gtk
Review Request: pywebkitgtk - Python Bindings for WebKit-gtk
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-23 13:49 EDT by Ignacio Vazquez-Abrams
Modified: 2008-06-05 13:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-05 13:55:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2008-04-23 13:49:52 EDT
Spec URL: http://ivazquez.fedorapeople.org/packages/pywebkitgtk/pywebkitgtk.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/pywebkitgtk/pywebkitgtk-0.3-0.1.git9824a495.src.rpm
Description: The purpose of pywebkitgtk is to bring an alternative web engine to Python/GTK+ application developers who might need a web browser engine for their next application or developers wishing to have a better browser engine that they can access to using the Python programming language.
Comment 1 Mamoru TASAKA 2008-05-02 00:01:16 EDT
I will want to review this as a co-maintainer of WebKit.
Instread would you review my package (bug 444933)?
Comment 2 Mamoru TASAKA 2008-05-06 12:27:04 EDT
For 0.3-0.1.git:

* Versioning
  - According to NamingGuidelines, the EVR (Epoch-Version-Release) of
    this package should be:

* License
  - As far as I checked the whole codes in the source tarball, the 
    license tag must be GPLv2+.

  - Rationale
    - webkit.override is under GPLv2+, and rebuild log says:
   215  (cd .\
   216           && /usr/bin/pygtk-codegen-2.0 \
   217              --register /usr/share/pygtk/2.0/defs/gdk-types.defs \
   218              --register /usr/share/pygtk/2.0/defs/gtk-types.defs \
   219              --override webkit.override \
   220              --prefix pywebkit webkit.defs) 2>&1 >gen-webkit.c | tee
webkit.errors \
   221          && ! grep -q -v "^\*\*\*INFO\*\*\*" webkit.errors \
   222          && cp gen-webkit.c webkit.c \
   223          && rm -f gen-webkit.c
   229  /bin/sh ./libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. 
-I/usr/include/python2.5   -I/usr/incl
ude/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-I/usr/include/webkit-1.0 -I/usr/include/gtk-2.0 
-I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
-I/usr/include/pango-1.0   -O2 -g -pipe -Wal
l -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic 
-fasynchronous-unwind-tables -MT webkit_la-webkit.lo -MD -MP -MF
.deps/webkit_la-webkit.Tpo -c -o webkit_la-webkit.
lo `test -f 'webkit.c' || echo './'`webkit.c
   233  /bin/sh ./libtool --tag=CC   --mode=link gcc -I/usr/include/pygtk-2.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/webkit-1.0
-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0   -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -module
-avoid-version  -export-symbols-regex initwebkit  -o webkit.la -rpath
/usr/lib/python2.5/site-packages/gtk-2.0 webkit_la-webkitmodule.lo
webkit_la-javascriptcore-types.lo webkit_la-webkit.lo -lwebkit-1.0 -lgtk-x11-2.0
-lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo
-lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0

* Directory ownership issue
  - %{python_sitearch}/gtk-2.0/ is already owned by pygtk2 and
    pywebkitgtk should not own this directory.

* libtool .la files
  - Please remove libtool .la files.
Comment 3 Mamoru TASAKA 2008-05-15 11:13:50 EDT
Comment 4 Mamoru TASAKA 2008-05-30 20:54:37 EDT
ping again?
Comment 6 Mamoru TASAKA 2008-06-02 10:42:45 EDT

  This package (pywebkitgtk) is APPROVED by me
Comment 7 Ignacio Vazquez-Abrams 2008-06-04 02:25:35 EDT
New Package CVS Request
Package Name: pywebkitgtk
Short Description: Python Bindings for WebKit-gtk
Owners: ivazquez
Branches: F-8 F-9
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-06-04 12:18:26 EDT
cvs done.
Comment 9 Ignacio Vazquez-Abrams 2008-06-05 13:55:54 EDT
Built on F-8, F-9, and Rawhide.

Note You need to log in before you can comment on or make changes to this bug.